/**
 * Created by zhang on 2018/9/10.
 */

let express = require("express");
let economicRouter =express.Router();
import EconomicController from "../controllers/economic_controller";
let economicController = new EconomicController();

module.exports =function (app) {

    economicRouter.get("/main", economicController.auth, economicController.init, economicController.main);
    economicRouter.post("/addLib", economicController.auth, economicController.init, economicController.addLib);
    economicRouter.post("/findLib", economicController.auth, economicController.init, economicController.findLib);
    economicRouter.post("/saveLib", economicController.auth, economicController.init, economicController.saveLib);
    economicRouter.post("/deleteLibByID", economicController.auth, economicController.init, economicController.deleteLibByID);
    economicRouter.get("/edit/:libID", economicController.auth, economicController.init, economicController.edit);


    app.use("/economic", economicRouter);
};